### Method

# EDataServer WebDAVSession mkcalendar_sync

since: 3.26

#### Declaration [src]

    gboolean
    e_webdav_session_mkcalendar_sync (
      EWebDAVSession* webdav,
      const gchar* uri,
      const gchar* display_name,
      const gchar* description,
      const gchar* color,
      guint32 supports,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Creates a new calendar collection identified by `uri` on the server. The `supports` defines what component types can be stored into the created calendar collection. Only `E_WEBDAV_RESOURCE_SUPPORTS_NONE` and values related to iCalendar content can be used here. Using `E_WEBDAV_RESOURCE_SUPPORTS_NONE` means that everything is supported.

Note that CalDAV RFC 4791 Section 4.2 forbids to create calendar resources under other calendar resources (no nested calendars are allowed).

Available since: 3.26

#### Parameters

`uri`

  Type: `const gchar*`

  URI of the collection to create.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`display_name`

  Type: `const gchar*`

  A human-readable display name to set, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`description`

  Type: `const gchar*`

  A human-readable description of the calendar, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`color`

  Type: `const gchar*`

  A color to set, in format “#RRGGBB”, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`supports`

  Type: `guint32`

  A bit-or of EWebDAVResourceSupports values.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.